Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class HttpAuthenticator

    java.lang.Object
      org.apache.http.impl.client.HttpAuthenticator

    public class HttpAuthenticator

extends Object

Constructor Summary
`HttpAuthenticator()`
`HttpAuthenticator(org.apache.commons.logging.Log log)`

Method Summary
`boolean` | `authenticate(HttpHost host, HttpResponse response, AuthenticationStrategy authStrategy, AuthState authState, HttpContext context)`
`boolean` | `isAuthenticationRequested(HttpHost host, HttpResponse response, AuthenticationStrategy authStrategy, AuthState authState, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpAuthenticator

    public HttpAuthenticator(org.apache.commons.logging.Log log)

### HttpAuthenticator

    public HttpAuthenticator()

Method Detail

### isAuthenticationRequested

    public boolean isAuthenticationRequested(HttpHost host,
                                             HttpResponse response,
                                             AuthenticationStrategy authStrategy,
                                             AuthState authState,
                                             HttpContext context)

### authenticate

    public boolean authenticate(HttpHost host,
                                HttpResponse response,
                                AuthenticationStrategy authStrategy,
                                AuthState authState,
                                HttpContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.